Bug 789297 - (CVE-2012-0502) CVE-2012-0502 OpenJDK: KeyboardFocusManager focus stealing (AWT, 7110683)
CVE-2012-0502 OpenJDK: KeyboardFocusManager focus stealing (AWT, 7110683)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120214,repor...
: Security
Depends On: 787142 787143 787144 787145 788202 788203 788204 788205 788206 813689 813690 813691 813692 814225 814226 814227 814228 824864 824865 839641 839644 839645 839646
Blocks: 786724
  Show dependency treegraph
 
Reported: 2012-02-10 05:25 EST by Tomas Hoger
Modified: 2015-11-24 09:48 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-16 12:17:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2012-02-10 05:25:21 EST
A flaw was found in the AWT KeyboardFocusManager that could allow untrusted Java application or applet to acquire keyboard focus and possibly steal sensitive information.
Comment 3 Vincent Danen 2012-02-14 18:11:36 EST
External Reference:

http://www.oracle.com/technetwork/topics/security/javacpufeb2012-366318.html
Comment 4 errata-xmlrpc 2012-02-14 18:43:15 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0135 https://rhn.redhat.com/errata/RHSA-2012-0135.html
Comment 5 Tomas Hoger 2012-02-15 03:40:51 EST
Patches were applied in following IcedTea versions:

* IcedTea6 1.8.13 (based on OpenJDK6 b18)
* IcedTea6 1.9.13 (based on OpenJDK6 b20)
* IcedTea6 1.10.6 (based on OpenJDK6 b22)
* IcedTea6 1.11.1 (based on OpenJDK6 b24)
* IcedTea 2.0.1 (based on OpenJDK7 u1 + u3 security patches)

http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2012-February/017249.html
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2012-February/017233.html

Patch:
http://icedtea.classpath.org/hg/release/icedtea6-1.10/file/4e7a700d4ecc/patches/security/20120214/7110683.patch
Comment 6 errata-xmlrpc 2012-02-16 14:02:09 EST
This issue has been addressed in following products:

  Extras for RHEL 4
  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:0139 https://rhn.redhat.com/errata/RHSA-2012-0139.html
Comment 7 errata-xmlrpc 2012-02-21 16:58:44 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0322 https://rhn.redhat.com/errata/RHSA-2012-0322.html
Comment 8 errata-xmlrpc 2012-04-23 13:04:20 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:0508 https://rhn.redhat.com/errata/RHSA-2012-0508.html
Comment 9 errata-xmlrpc 2012-04-24 15:35:56 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:0514 https://rhn.redhat.com/errata/RHSA-2012-0514.html
Comment 10 errata-xmlrpc 2012-05-30 12:10:44 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2012:0702 https://rhn.redhat.com/errata/RHSA-2012-0702.html
Comment 11 errata-xmlrpc 2012-07-16 11:56:59 EDT
This issue has been addressed in following products:

  RHEL 5 for SAP
  RHEL 6 for SAP

Via RHSA-2012:1080 https://rhn.redhat.com/errata/RHSA-2012-1080.html
Comment 12 errata-xmlrpc 2013-10-23 13:03:55 EDT
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html

Note You need to log in before you can comment on or make changes to this bug.